pidgin: _PurplePlugin Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurplePlugin Struct Reference

A plugin handle. More...

`#include <plugin.h>`

## Data Fields
gboolean | native_plugin
| Native C plugin.
gboolean | loaded
| The loaded state.
void * | handle
| The module handle.
char * | path
| The path to the plugin.
PurplePluginInfo * | info
| The plugin information.
char * | error
void * | ipc_data
| IPC data.
void * | extra
| Plugin-specific data.
gboolean | unloadable
| Unloadable
GList * | dependent_plugins
| Plugins depending on this.
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

A plugin handle.

Definition at line 151 of file plugin.h.

## Field Documentation

## ◆ _purple_reserved1

void(* _PurplePlugin::_purple_reserved1) (void)

Definition at line 164 of file plugin.h.

## ◆ _purple_reserved2

void(* _PurplePlugin::_purple_reserved2) (void)

Definition at line 165 of file plugin.h.

## ◆ _purple_reserved3

void(* _PurplePlugin::_purple_reserved3) (void)

Definition at line 166 of file plugin.h.

## ◆ _purple_reserved4

void(* _PurplePlugin::_purple_reserved4) (void)

Definition at line 167 of file plugin.h.

## ◆ dependent_plugins

GList* _PurplePlugin::dependent_plugins

Plugins depending on this.

Definition at line 162 of file plugin.h.

## ◆ error

char* _PurplePlugin::error

Definition at line 158 of file plugin.h.

## ◆ extra

void* _PurplePlugin::extra

Plugin-specific data.

Definition at line 160 of file plugin.h.

## ◆ handle

void* _PurplePlugin::handle

The module handle.

Definition at line 155 of file plugin.h.

## ◆ info

PurplePluginInfo* _PurplePlugin::info

The plugin information.

Definition at line 157 of file plugin.h.

## ◆ ipc_data

void* _PurplePlugin::ipc_data

IPC data.

Definition at line 159 of file plugin.h.

## ◆ loaded

gboolean _PurplePlugin::loaded

The loaded state.

Definition at line 154 of file plugin.h.

## ◆ native_plugin

gboolean _PurplePlugin::native_plugin

Native C plugin.

Definition at line 153 of file plugin.h.

## ◆ path

char* _PurplePlugin::path

The path to the plugin.

Definition at line 156 of file plugin.h.

## ◆ unloadable

gboolean _PurplePlugin::unloadable

Unloadable

Definition at line 161 of file plugin.h.

The documentation for this struct was generated from the following file:

- plugin.h